<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    tools:context="de.com.limto.limto1.MainActivity"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical">
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/Kontaktgrad"/>
            </androidx.cardview.widget.CardView>

            <Spinner
                android:id="@+id/spinnerGrad"
                android:layout_width="wrap_content"
                android:padding="10dp"
                android:layout_height="wrap_content"
                android:entries="@array/grades"
                android:prompt="@string/Kontaktgrad" />

            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/Language"/>
            </androidx.cardview.widget.CardView>

            <Spinner
                android:id="@+id/spinnerLanguage"
                android:layout_width="wrap_content"
                android:padding="10dp"
                android:layout_height="wrap_content"
                android:entries="@array/languages"
                android:prompt="@string/Language" />

            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/MaxEntf"/>
            </androidx.cardview.widget.CardView>
            <Spinner
                android:id="@+id/spinnerEntfernung"
                android:padding="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:entries="@array/radius"
                android:prompt="@string/Entfernung" />
            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/MengenbegrenzungFragen"/>
            </androidx.cardview.widget.CardView>
            <Spinner
                android:id="@+id/spinnerMenge"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:entries="@array/menge"
                android:padding="10dp"
                android:prompt="@string/Menge" />
            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/spnausblenden"/>
            </androidx.cardview.widget.CardView>
            <Spinner
                android:id="@+id/spinnerAusblenden"
                android:layout_width="wrap_content"
                android:padding="10dp"
                android:layout_height="wrap_content"
                android:entries="@array/arrspnausblenden"
                android:prompt="@string/spnausblenden" />

            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/maximumrestartintervall"/>
            </androidx.cardview.widget.CardView>
            <Spinner
                android:id="@+id/spinnerrestartintervall"
                android:layout_width="wrap_content"
                android:padding="10dp"
                android:layout_height="wrap_content"
                android:entries="@array/arrrestart"
                android:prompt="@string/spnausblenden" />


            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/debugmode"/>
            </androidx.cardview.widget.CardView>


            <RadioGroup
                android:layout_width="wrap_content"
                android:padding="10dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <RadioButton
                    android:id="@+id/btnDebugOn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/on"
                    />
                <RadioButton
                    android:id="@+id/btnDebugOff"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/off"
                    />
            </RadioGroup>

            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/Notifications"/>
            </androidx.cardview.widget.CardView>


            <RadioGroup
                android:layout_width="wrap_content"
                android:padding="10dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <RadioButton
                    android:id="@+id/btnNotOn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/on"
                    />
                <RadioButton
                    android:id="@+id/btnNotOff"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/off"
                    />
            </RadioGroup>


            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/GPS"/>
            </androidx.cardview.widget.CardView>

            <RadioGroup
                android:layout_width="wrap_content"
                android:padding="10dp"
                android:layout_height="wrap_content"
                android:orientation="horizontal">
                <RadioButton
                    android:id="@+id/btnGPSOn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/on"
                    />
                <RadioButton
                    android:id="@+id/btnGPSOff"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/off"
                    />
            </RadioGroup>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_gravity="center"
                android:gravity="center"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:padding="10dp"
                android:id="@+id/llServer"
                >

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="wrap_content"
                    android:layout_toStartOf="@+id/btnSetAdresse"
                    android:layout_alignParentStart="true"
                    android:id="@+id/txt"
                    android:layout_height="wrap_content"
                   >

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/txtAdresse"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_weight="1"
                        android:hint="@string/ServerAdresse"
                        android:imeOptions="actionDone"
                        android:inputType="textUri"
                        android:maxLines="1" />
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.floatingactionbutton.ExtendedFloatingActionButton
                    android:id="@+id/btnSetAdresse"
                    android:layout_width="wrap_content"
                    app:backgroundTint="?attr/toolbar_color"
                    android:padding="20dp"
                    android:textColor="@android:color/white"
                    android:layout_alignParentEnd="true"
                    app:tint="@android:color/white"
                    android:layout_height="wrap_content"
                    android:layout_gravity="end"
                    android:gravity="center"
                    android:text="@string/ok"
                    android:layout_marginStart="8dp" />
            </RelativeLayout>
        </LinearLayout>
    </ScrollView>
</LinearLayout>
